# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.people_api import PeopleApi  # noqa: E501
from swagger_client.rest import ApiException


class TestPeopleApi(unittest.TestCase):
    """PeopleApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.people_api.PeopleApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_person(self):
        """Test case for create_person

        Create person  # noqa: E501
        """
        pass

    def test_delete_avatar_image(self):
        """Test case for delete_avatar_image

        Delete avatar image  # noqa: E501
        """
        pass

    def test_get_avatar_image(self):
        """Test case for get_avatar_image

        Get avatar image  # noqa: E501
        """
        pass

    def test_get_person(self):
        """Test case for get_person

        Get a person  # noqa: E501
        """
        pass

    def test_list_people(self):
        """Test case for list_people

        List people  # noqa: E501
        """
        pass

    def test_request_password_reset(self):
        """Test case for request_password_reset

        Request password reset  # noqa: E501
        """
        pass

    def test_reset_password(self):
        """Test case for reset_password

        Reset password  # noqa: E501
        """
        pass

    def test_update_avatar_image(self):
        """Test case for update_avatar_image

        Update avatar image  # noqa: E501
        """
        pass

    def test_update_person(self):
        """Test case for update_person

        Update person  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
